<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_bdf46cfa1aba" . "0af38c9a9fa98" . "dfd831b" => base64_decode("YXBwX3B" . "1Ymxpc2" . "g="), "_9f55fef472b741cb2" . "22ce4503e90012a" => base64_decode("cHViX3BhZ2" . "U="), "_1be4a86ec54058894c0dc8ee" . "b44bf65a" => base64_decode("Y29tbW9uLnR5" . "cGUucHViX3Bh" . "Z2Vz"), "_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1zZw=" . "="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_9f55fef472b741cb222ce45" . "03e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_1be4a86ec54058894c0dc8eeb" . "44bf65a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bdf46cfa1aba0af38c9a9fa98" . "dfd831b"];
    }
}